=== profiler/CMakeLists.txt ===

add_subdirectory(src)

install(
  DIRECTORY include/
  DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})
