=== debian/changelog ===
ignition-common (4.5.0+ds-1) unstable; urgency=medium

  * New upstream version 4.5.0+ds
  * Delele patch merged upstream

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 14 Feb 2022 23:38:49 +0000

ignition-common (4.4.0+ds-5) unstable; urgency=medium

  * Team upload.
  * Add missing dependency
  * Update MA hints according to MA hinter
  * Add breaks for autopkgtest in testing (Closes: #1004101)
  * Remove unused dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Jan 2022 09:22:23 +0100

ignition-common (4.4.0+ds-4) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 11 Jan 2022 18:24:43 +0000

ignition-common (4.4.0+ds-3) experimental; urgency=medium

  * Fix package names

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 21 Dec 2021 11:19:54 +0000

ignition-common (4.4.0+ds-2) experimental; urgency=medium

  * Missing depends in -dev files

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 21 Dec 2021 00:54:48 +0100

ignition-common (4.4.0+ds-1) experimental; urgency=medium

  * New upstream version 4.4.0+ds
  * Update debian metadata to major 4
  * Refresh patches
  * Add ignition-utils dependency
  * Use execute_after instead of overriding dh_install
  * Use external tinyxml2
  * Update copyright file
  * Suggests ignition-tools
  * Declare no multiarch ignition-common-cli
  * Update override. Left here to avoid salsa to fail hard
  * Fix package names to match real ones
  * Use libexec to package binaries inside ignition-transport-cli package
  * Patches imported from master_v3 branch:
    * Include more ignored tests due to copyright issues
    * Include xml tag file in -dev package
    * Add doxygen to build-deps
    * Update lintian override with the new message
    * Remove gitlab file
    * Do not need superfluos check
    * Support for multiple -dev files
    * Use @ for installing all the needed config files
    * Use all hardening flags
    * Fix duplicate files in different packages
    * Update copyright
    * Add ignore for blhc when test suite compiles plugins
    * Fix blhc ignore
    * Add patch to disable performance
    * Install examples in -dev file
    * Add the graphics library

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 26 Nov 2021 15:36:07 +0000

ignition-common (3.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.14.0+dfsg
    (Closes: #984182)
  * Remove C++11 gtest patch
  * Refresh patch
  * Include more ignored tests due to copyright issues
  * Update standards

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Oct 2021 22:20:41 +0000
