## ignition-common 4.5.1%2Bds

=== debian/changelog ===
ignition-common (4.5.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Add patch for missing include (Closes: #1019282)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Sep 2022 23:19:52 +0200

ignition-common (4.5.1+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.5.1+ds (Closes: #1004799)
  * Update d/copyright
  * Bump policy version (no changes)
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jun 2022 00:41:46 +0200
