## ignition-common 4.5.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-common4 VERSION 4.5.0)
+project(ignition-common4 VERSION 4.5.1)
 
 #============================================================================
 # Find ignition-cmake
