=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -16,3 +16,7 @@
 add_executable(profiler_example profiler.cc)
 target_link_libraries(profiler_example ignition-common${IGN_COMMON_VER}::profiler)
 target_compile_definitions(profiler_example PUBLIC "IGN_PROFILER_ENABLE=1")
+
+add_executable(logging_performance logging_performance.cc)
+target_link_libraries(logging_performance ignition-common${IGN_COMMON_VER}::core)
+
