=== debian/changelog ===
ignition-common (4.5.1+ds-2build1) lunar; urgency=medium

  * No-change rebuild against libtinyobjloader2rc10

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Feb 2023 03:15:55 +0000
