=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ignition-common
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: optional
@@ -20,7 +21,7 @@
                libavdevice-dev,
                libswscale-dev,
                libtinyobjloader-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-common
 Vcs-Git: https://salsa.debian.org/science-team/ignition-common.git
