## ignition-common 4.7.0%2Bds2

=== debian/changelog ===
ignition-common (4.7.0+ds2-2.1~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64 

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Wed, 22 May 2024 19:29:44 +0800

ignition-common (4.7.0+ds2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062439

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 10:46:19 +0000

ignition-common (4.7.0+ds2-2) unstable; urgency=medium

  * Require ignition-math 6.12.0 for gz transition
    (Closes: #1050921)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 07 Sep 2023 09:24:10 +0000

ignition-common (4.7.0+ds2-1) unstable; urgency=medium

  * New upstream version 4.7.0+ds2 (Closes: #1041379)
  * Rediff patches
  * Bump standard to 4.6.2
  * Include gz directories in install files
  * Add patch to fix build with gcc-13 (Closes: #1037694)
  * Include new GUI test in disable patch
  * Move copyright files to gz directory
  * Update copyright years and info
  * Relax lintian override condition

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 10 Aug 2023 17:54:59 +0200
