=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ignition-common
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: optional
-Build-Depends: cmake,
+Build-Depends: dpkg-dev (>= 1.21.22), cmake,
                pkg-config,
                debhelper-compat (= 13),
                doxygen,
                libgtest-dev,
                libfreeimage-dev,
-               libignition-cmake-dev (>= 2.8.0),
-               libignition-math-dev (>= 6),
+               libignition-cmake-dev (>= 2.14.0),
+               libignition-math-dev (>= 6.12.0),
                libignition-utils-dev,
                libtinyxml2-dev,
                uuid-dev,
@@ -21,7 +20,7 @@
                libavdevice-dev,
                libswscale-dev,
                libtinyobjloader-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/ignition-common
 Vcs-Git: https://salsa.debian.org/science-team/ignition-common.git
@@ -30,9 +29,9 @@
 Package: libignition-common-core-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev,
+Depends: libignition-cmake-dev (>= 2.14.0),
          uuid-dev,
-         libignition-common4-4 (= ${binary:Version}),
+         libignition-common4-4t64 (= ${binary:Version}),
          libtinyobjloader-dev,
          ${misc:Depends}
 Suggests: ignition-tools
@@ -52,8 +51,8 @@
 Depends: libignition-common-core-dev (= ${binary:Version}),
          libignition-common-av-dev (= ${binary:Version}),
          libignition-common-graphics-dev (= ${binary:Version}),
-         libignition-common4-profiler4 (= ${binary:Version}),
-         libignition-common4-events4 (= ${binary:Version}),
+         libignition-common4-profiler4t64 (= ${binary:Version}),
+         libignition-common4-events4t64 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Recommends: ignition-common-cli
@@ -65,7 +64,10 @@
  .
  Metapackage for development. Includes events and profiler.
 
-Package: libignition-common4-4
+Package: libignition-common4-4t64
+Provides: ${t64:Provides}
+Replaces: libignition-common4-4
+Breaks: libignition-common4-4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -78,7 +80,10 @@
  .
  This package gathers the shared library
 
-Package: libignition-common4-av4
+Package: libignition-common4-av4t64
+Provides: ${t64:Provides}
+Replaces: libignition-common4-av4
+Breaks: libignition-common4-av4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -94,14 +99,14 @@
 Package: libignition-common-av-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev,
+Depends: libignition-cmake-dev (>= 2.14.0),
          libignition-common-core-dev,
          libavdevice-dev,
          libavformat-dev,
          libavcodec-dev,
          libswscale-dev,
          libavutil-dev,
-         libignition-common4-av4 (= ${binary:Version}),
+         libignition-common4-av4t64 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Collection of useful code used by robotics apps - AV dev files
@@ -112,7 +117,10 @@
  .
  AV component of the library, development files
 
-Package: libignition-common4-events4
+Package: libignition-common4-events4t64
+Provides: ${t64:Provides}
+Replaces: libignition-common4-events4
+Breaks: libignition-common4-events4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -128,14 +136,14 @@
 Package: libignition-common-graphics-dev
 Architecture: any
 Section: libdevel
-Depends: libignition-cmake-dev,
+Depends: libignition-cmake-dev (>= 2.14.0),
          libignition-common-core-dev,
-         libignition-math-dev,
+         libignition-math-dev (>= 6.12.0),
          libignition-utils-dev,
          libtinyobjloader-dev,
          libtinyxml2-dev,
          libgts-dev,
-         libignition-common4-graphics4 (= ${binary:Version}),
+         libignition-common4-graphics4t64 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Ignition Common classes and functions (Graphics) - Development files
@@ -144,7 +152,10 @@
  .
  Graphics component of the library, development files
 
-Package: libignition-common4-graphics4
+Package: libignition-common4-graphics4t64
+Provides: ${t64:Provides}
+Replaces: libignition-common4-graphics4
+Breaks: libignition-common4-graphics4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -157,7 +168,10 @@
  .
  Graphics component of the library
 
-Package: libignition-common4-profiler4
+Package: libignition-common4-profiler4t64
+Provides: ${t64:Provides}
+Replaces: libignition-common4-profiler4
+Breaks: libignition-common4-profiler4 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -172,7 +186,7 @@
 
 Package: ignition-common-cli
 Architecture: any
-Depends: libignition-common4-4 (= ${binary:Version}),
+Depends: libignition-common4-4t64 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Collection of useful code used by robotics apps - CLI tools
