## ignition-common 4.7.0+ds2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,20 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-common4 VERSION 4.5.1)
+project(ignition-common4 VERSION 4.7.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
-find_package(ignition-cmake2 2.8.0 REQUIRED COMPONENTS utilities)
+find_package(ignition-cmake2 2.14.0 REQUIRED COMPONENTS utilities)
 set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project()
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/common
+)
 
 #============================================================================
 # Set project-specific options
