=== examples/CMakeLists.txt ===
--- 
+++ 
@@ -20,3 +20,5 @@
 add_executable(logging_performance logging_performance.cc)
 target_link_libraries(logging_performance ignition-common${IGN_COMMON_VER}::core)
 
+add_executable(util_example util.cc)
+target_link_libraries(util_example ignition-common${IGN_COMMON_VER}::core)
