=== profiler/src/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
   PROFILER_TESTS
   Profiler_Disabled_TEST.cc
 )
+
+if(NOT WIN32)
+  list(APPEND PROFILER_TESTS Profiler_Error_TEST.cc)
+endif()
 
 if(IGN_PROFILER_REMOTERY)
   set(
