=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.21.22), cmake,
+Build-Depends: cmake,
                pkg-config,
                debhelper-compat (= 13),
                doxygen,
@@ -31,7 +31,7 @@
 Section: libdevel
 Depends: libignition-cmake-dev (>= 2.14.0),
          uuid-dev,
-         libignition-common4-4t64 (= ${binary:Version}),
+         libignition-common4-4 (= ${binary:Version}),
          libtinyobjloader-dev,
          ${misc:Depends}
 Suggests: ignition-tools
@@ -51,8 +51,8 @@
 Depends: libignition-common-core-dev (= ${binary:Version}),
          libignition-common-av-dev (= ${binary:Version}),
          libignition-common-graphics-dev (= ${binary:Version}),
-         libignition-common4-profiler4t64 (= ${binary:Version}),
-         libignition-common4-events4t64 (= ${binary:Version}),
+         libignition-common4-profiler4 (= ${binary:Version}),
+         libignition-common4-events4 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Recommends: ignition-common-cli
@@ -64,10 +64,7 @@
  .
  Metapackage for development. Includes events and profiler.
 
-Package: libignition-common4-4t64
-Provides: ${t64:Provides}
-Replaces: libignition-common4-4
-Breaks: libignition-common4-4 (<< ${source:Version})
+Package: libignition-common4-4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -80,10 +77,7 @@
  .
  This package gathers the shared library
 
-Package: libignition-common4-av4t64
-Provides: ${t64:Provides}
-Replaces: libignition-common4-av4
-Breaks: libignition-common4-av4 (<< ${source:Version})
+Package: libignition-common4-av4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -106,7 +100,7 @@
          libavcodec-dev,
          libswscale-dev,
          libavutil-dev,
-         libignition-common4-av4t64 (= ${binary:Version}),
+         libignition-common4-av4 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Collection of useful code used by robotics apps - AV dev files
@@ -117,10 +111,7 @@
  .
  AV component of the library, development files
 
-Package: libignition-common4-events4t64
-Provides: ${t64:Provides}
-Replaces: libignition-common4-events4
-Breaks: libignition-common4-events4 (<< ${source:Version})
+Package: libignition-common4-events4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -143,7 +134,7 @@
          libtinyobjloader-dev,
          libtinyxml2-dev,
          libgts-dev,
-         libignition-common4-graphics4t64 (= ${binary:Version}),
+         libignition-common4-graphics4 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Ignition Common classes and functions (Graphics) - Development files
@@ -152,10 +143,7 @@
  .
  Graphics component of the library, development files
 
-Package: libignition-common4-graphics4t64
-Provides: ${t64:Provides}
-Replaces: libignition-common4-graphics4
-Breaks: libignition-common4-graphics4 (<< ${source:Version})
+Package: libignition-common4-graphics4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -168,10 +156,7 @@
  .
  Graphics component of the library
 
-Package: libignition-common4-profiler4t64
-Provides: ${t64:Provides}
-Replaces: libignition-common4-profiler4
-Breaks: libignition-common4-profiler4 (<< ${source:Version})
+Package: libignition-common4-profiler4
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -186,7 +171,7 @@
 
 Package: ignition-common-cli
 Architecture: any
-Depends: libignition-common4-4t64 (= ${binary:Version}),
+Depends: libignition-common4-4 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Collection of useful code used by robotics apps - CLI tools
